package com.dbs.consentServer.service;

import java.util.ArrayList;
import java.util.HashMap;

import com.dbs.consentServer.VO.consentVO.ConsentFormListVO;
import com.dbs.consentServer.mapper.ConsentMapper;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ConsentService {

  @Autowired
  public ConsentMapper consentMapper;

  public ArrayList<ConsentFormListVO> getUserFormSet(HashMap<String, String> params) {
    return consentMapper.getUserFormSet(params);
  }

  public ArrayList<ConsentFormListVO> getConsentBySearch(HashMap<String, String> params) {
    return consentMapper.getConsentBySearch(params);
  }

  public ArrayList<ConsentFormListVO> getConsentList(HashMap<String, Object> params) {
    return consentMapper.getConsentList(params);
  }

  public Integer updateConsentMstForDelete(HashMap<String, Object> params) {
    return consentMapper.updateConsentMstForDelete(params);
  }

  public String getConsentMstForDeleteOcrTag(HashMap<String, Object> params) {
    return consentMapper.getConsentMstForDeleteOcrTag(params);
  }

  public int updateMrfhOcrPrntStatCd(HashMap<String, Object> params) {
    return consentMapper.updateMrfhOcrPrntStatCd(params);
  }
  
}